Real-Time Kline
Provides complete K-line data query for exchange-traded funds (such as ETFs and LOFs). Supports multiple time periods from minute lines to monthly lines, returning standard OHLC fields including opening price, highest price, lowest price, closing price, and trading volume. The data includes adjustments for continuity.
/fund/klineRequest Parameters
regionenumRequiredMarket code
codestringRequiredProduct code
kTypeenumRequiredInterval: 1 minute, 2 five minutes, 3 fifteen minutes, 4 thirty minutes, 5 one hour, 8 one day, 9 one week, 10 one month
etstringWhen the query end timestamp (e.g., 1751328000000) is empty, it defaults to the current timestamp.
limitstringRequiredNumber of records to query
Response Parameters
codenumberResponse code
msgstringResponse description
dataarray(object)▶Response result
tunumberTransaction amount
cnumberClosing price of the Kline
tnumberTimestamp
vnumberTransaction volume
hnumberHighest price of the Kline
lnumberLowest price of the Kline
onumberOpening price of the Kline
Code Examples
import requests
url = "https://api.itick.org/fund/kline?region=US&code=QQQ&kType=2&limit=10"
headers = {
"accept": "application/json"
"token": "Your Token"
}
response = requests.get(url, headers=headers)
print(response.text)Query URL
https://api.itick.org/fund/kline?region=US&code=QQQ&kType=2&limit=10, Run query
Response Result
{
"code": 0,
"msg": null,
"data": [
{
"tu": 4813493.44,
"c": 569.24,
"t": 1754610900000, // 2025-08-07 23:55:00 UTC
"v": 8456,
"h": 569.24,
"l": 569.24,
"o": 569.24
}
]
}